SVN: md/th/update.sh

glen glen at pld-linux.org
Wed Mar 11 11:35:18 CET 2009


Author: glen
Date: Wed Mar 11 11:35:18 2009
New Revision: 10202

Added:
   md/th/update.sh   (contents, props changed)
Log:
- script to update

Added: md/th/update.sh
==============================================================================
--- (empty file)
+++ md/th/update.sh	Wed Mar 11 11:35:18 2009
@@ -0,0 +1,25 @@
+#!/bin/sh
+dist=th
+ftp=/home/services/ftp/pld/dists
+dest=$(dirname "$0")
+arch='athlon i486 i686 noarch ppc x86_64'
+tree='PLD ready updates obsolete'
+
+set -e
+
+for t in $tree; do
+	for a in $arch; do
+		s=$ftp/$dist/$t/$a/RPMS
+		d=$dest/$a/$t
+		echo "$s > $d"
+		cp -a $s/packages.ndir.* $d
+	done
+done
+
+# add new files
+cd $dest
+new=$(svn status | awk '$1 == "?" && $2 ~ "/packages\." { print $2 }')
+if [ "$new" ]; then
+	svn add $new
+fi
+svn ci -m "- updated poldek indexes for $dist"


More information about the pld-cvs-commit mailing list